import int+ NbItem;              // Number of dimensions of the problem

range Item 1..NbItem;

import float value[Item];        // value of item
import float attribute[Item];    // attribute of item
import float capacity;

var int x[Item] in 0..1;         // decision to include item

maximize
   sum(i in Item) value[i] * x[i]      // objective

subject to
{
      sum(i in Item) attribute[i] * x[i] <= capacity;
};

setting cplexLogFile = "knapsack.log";

setting covers = -1;
