import int+ NbItem;              // Number of dimensions of the problem
import int+ NbAttribute;

range Item 1..NbItem;
range Attribute 1..NbAttribute;

import float value[Item];        // value of item
import float attribute[Attribute,Item];    // attribute of item
import float capacity;

var int x[Item] in 0..1;         // decision to include item

maximize
   sum(i in Item) value[i] * x[i]      // objective

subject to
{
   forall(a in Attribute)
      sum(i in Item) attribute[a,i] * x[i] <= capacity;
};

setting cplexLogFile = "knapsackN.log";

setting covers = -1;
